package com.isu.gaswellwatch.controller;


import com.isu.gaswellwatch.annotation.OperationLog;
import com.isu.gaswellwatch.dto.LoginDTO;
import com.isu.gaswellwatch.entity.Response;
import com.isu.gaswellwatch.enums.LogType;
import com.isu.gaswellwatch.service.SummaryService;
import com.isu.gaswellwatch.vo.UserLoginInfoVO;
import com.isu.gaswellwatch.vo.summary.PieSummaryVO;
import jakarta.annotation.Resource;
import jakarta.validation.Valid;
import org.springframework.web.bind.annotation.*;

import java.util.List;


@RestController
@RequestMapping("summary")
public class SummaryController {


    @Resource
    private SummaryService summaryService;

    @GetMapping("/getIndexPieSummary")
    public Response<List<PieSummaryVO>> getIndexPieSummary(){
        return Response.succeed(summaryService.getIndexPieSummary());
    }
    
}

