package com.isu.gaswellwatch.vo;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class MenuTreeVO {
    private Long id;
    //父节点
    private Long parent;
    //名称
    private String name;
    //编码
    private String code;
    //图标
    private String icon;
    //顺序
    private Integer sort;
    //外部数据
    private String extra;
    //标识符
    private List<String> identifier;

    private List<MenuTreeVO> children;

}
